{% extends 'home/base.html' %}

    {% load static %}
    {% block title %} My Activity {% endblock %}    
    {% block content %}

	<body class="bg-color2">
		{% include 'home/navbar2.html' %}
        
         <div class="container">
            <h1 class="h2-about mt-5 mb-5 ml-5">My Activities</h1>
            <div class="form-group mb-5 ml-5 mr-5">
                <form method="POST">
                    {% csrf_token %}
                    {{ form.as_p }}
                    <input class="btn btn-outline-dark" type="submit" value="Add"/>
                </form>
            </div>
         </div>   
       </body>

        {% for kegiatan in data.kegiatan %}
        <div class="card text-white mb-3" style="max-width: 20rem; text-align: center; margin: 0 auto; float: none; margin-bottom: 10px; padding-bottom : 4%; color: white; background-color: #555555; ">
                <div class="card-header">{{ kegiatan.nama }}</div>
                <div class="card-body text-dark">
                    <h5 class="card-title">Peserta</h5>
                    {% for peserta in data.peserta %}
                        {% if peserta.kegiatan.nama == kegiatan.nama %}
                            <p class="card-text" style="color: white;">{{ peserta.nama }}</p>
                        {% endif %}
                    {% endfor %}
                </div>
                <form id="form" method="POST" action="/story6/post-peserta/{{ kegiatan.id }}" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form-group">
                        {{ forms.peserta_form.as_p }}
                    </div>
                    <br>
                    <button type="submit" class="btn" style="background-color: white; color: black;" id="bton">Tambah Peserta</button>
                </form>
            </div>
            <br>
        </div>
        {% endfor %}

    {% endblock %}
</html> 